<html lang="en">
<head>
<title>Introduction by example - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="About-sketch.html#About-sketch" title="About sketch">
<link rel="next" href="Input-language.html#Input-language" title="Input language">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Introduction-by-example"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Input-language.html#Input-language">Input language</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="About-sketch.html#About-sketch">About sketch</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">2 Introduction by example</h2>

<p>The <code>sketch</code> input language will seem familiar to users of the
<code>PSTricks</code> package for LaTeX.  The following program draws a
triangular polygon pierced by a line.
<pre class="verbatim">
  polygon(0,0,1)(1,0,0)(0,1,0)
  line(-1,-1,-1)(2,2,2)
</pre>
The coordinate system
<a name="index-coordinate-system_002c-right_002dhanded-3"></a><a name="index-right_002dhand-coordinate-system-4"></a>is a standard right-handed Cartesian one.

<div align="center"><img src="ex010.png" alt="ex010.png"></div>

<ul class="menu">
<li><a accesskey="1" href="Hello-world.html#Hello-world">Hello world</a>:                  Simplest possible <code>sketch</code> program. 
<li><a accesskey="2" href="Drawing-options.html#Drawing-options">Drawing options</a>:              Controlling object appearance. 
<li><a accesskey="3" href="Drawing-a-solid.html#Drawing-a-solid">Drawing a solid</a>:              Drawing an object with 3d appearance. 
<li><a accesskey="4" href="Special-objects.html#Special-objects">Special objects</a>:              Laying TeX over, in, or under drawings. 
<li><a accesskey="5" href="Object-transforms.html#Object-transforms">Object transforms</a>:            Rotate, translate, scale, and others. 
<li><a accesskey="6" href="Repeated-objects.html#Repeated-objects">Repeated objects</a>:             Making transformed copies. 
<li><a accesskey="7" href="Swept-objects.html#Swept-objects">Swept objects</a>:                Sweeping objects in space to make new shapes. 
</ul>

   </body></html>

